Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Pipeline

POST/pipelines/upload/

Query parameters

  • nameQuerystringrequired
  • descriptionQuerystringrequired
  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

  • initial_setupQuerybooleanoptional

    Set to true to create a default hello-world pipeline without uploading a YAML file. When true and no file is uploaded, the name is auto-generated.

Request body

multipart/form-data

object
uploadfilestring·binary

Pipeline YAML file to upload. Required when initial_setup is false or not provided.

Responses

200Pipeline updated or created successfully
object
codeinteger
example200
messagestring
exampleSuccess
dataobject
errorsobject